<?php

/*
 * Fichier à inclure dans tous les fichiers de configuration des types d'objets
 * pour activer la lien d'accès à phpLdapAdmin.
 * Note : Le paramètre LS_SUPANN_ENABLE_PHPLDAPADMIN doit être activé dans la
 * configuration Supann du serveur LDAP.
 */
if (defined('LS_SUPANN_ENABLE_PHPLDAPADMIN') && constant('LS_SUPANN_ENABLE_PHPLDAPADMIN')) {
  foreach(array_keys($GLOBALS['LSobjects']) as $type) {
    if (!isset($GLOBALS['LSobjects'][$type]['customActions']))
      $GLOBALS['LSobjects'][$type]['customActions'] = array();
    if (array_key_exists('redirectPhpLdapAdmin', $GLOBALS['LSobjects'][$type]['customActions']))
      continue;
    $GLOBALS['LSobjects'][$type]['customActions']['redirectPhpLdapAdmin'] = array (
      'function' => 'redirectToPhpLdapAdmin',
      'label' => 'See in PhpLdapAdmin',
      'hideLabel' => True,
      'noConfirmation' => true,
      'disableOnSuccessMsg' => true,
      'icon' => 'phpldapadmin',
      'rights' => array (
        'admin'
      )
    );
  }
}
